//
//  NSUserDefaults+RouteMe.h
// 
// Copyright (c) 2008-2011, Route-Me Contributors
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice, this
//   list of conditions and the following disclaimer.
// * Redistributions in binary form must reproduce the above copyright notice,
//   this list of conditions and the following disclaimer in the documentation
//   and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// If you link your Route-Me to your project as a static libary,
// add to your project's build param Other Linker Flags (OTHER_LDFLAGS) '-all_load' (without quotes).
//

#import <Foundation/Foundation.h>
#import "RMFoundation.h"

@interface NSUserDefaults (RouteMe) 

/// Returns the projected point associated with the specified key.
- (RMProjectedPoint)projectedPointForKey:(NSString *)key;

/// Sets the value of the specified default key to the specified projected point.
- (void)setProjectedPoint:(RMProjectedPoint)projectedPoint forKey:(NSString *)key;

/// Returns the projected rectangle associated with the specified key.
- (RMProjectedRect)projectedRectForKey:(NSString *)key;

/// Sets the value of the specified default key to the specified projected rectangle.
- (void)setProjectedRect:(RMProjectedRect)projectedRect forKey:(NSString *)key;

@end
